#!/bin/sh

export CONTAINER_INFO="$(curl -s --unix-socket /var/run/docker.sock http://docker/containers/$HOSTNAME/json)"
export CONTAINER_INDEX="$(echo "$CONTAINER_INFO" | jq '.Name' | sed 's/^"\(.*\)"$/\1/' | awk -F'-' '{print $NF}')"
echo "export FS_DATA=$(eval echo \$"FS_DATA_${CONTAINER_INDEX}")" >> /root/.bashrc
. /root/.bashrc

python /app/workers/select_work.py
